Subject: bug#24013: 25.0.95; Emacs 25.x uses up all memory and needs to be killed

From: Stephen Berman <[email-masked]>
Date: Mon, 18 Jul 2016 22:23:59 +0200

On Mon, 18 Jul 2016 20:36:28 +0200 Achim Gratz <[email-masked]> wrote:

> Stephen Berman writes:
>> FWIW, I'm running Emacs under KDE4/Qt4/Plasma4 (openSUSE 13.2, with
>> Klipper running) and I could not reproduce the problems you reported
>> with the file you posted and the recipe you gave: no cursor vanishing,
>> no rampant memory allocation with Emacs 25.x, and no timeout with 24.5.
>
> I can't test KDE4 anymore and as I've said I never used klipper, but I
> seem to remember that klipper also had an option to consider all
> selections or just something that was copied or cut as something to deal
> with.  Only in the case that klipper deals with selections the reported
> problem might occur.

The Klipper General Configuration dialog has these options in the
section "Selection and Clipboard":
  Ignore selection
* Text selection only
  Synchronize contents of the clipboard and the selection
Only the second one is checked (*) in my configuration.  Are you
suggesting to check the third one as well, or instead, or something
else?

Steve Berman